Skip to content

Batch Decrypt

Request

  1. For merchant self-delivery or third-party logistics (3PL) orders, this endpoint can be called to decrypt the user's phone number and address.
  2. A maximum of 50 data items can be decrypted at once.
  3. The encrypted data generally uses ENC_ as a prefix.

The following data returned by the order details endpoints will be encrypted data (ciphertext data prefixed with ENC_):

  1. recipientInfo.addressLocation
  2. delirecipientInfovery.addressViewInfo
  3. recipientInfo.houseNumber
  4. recipientInfo.phone
  5. recipientInfo.detailAddressStruct
  6. recipientInfo.addressStruct
Bodyapplication/jsonrequired
appIdintegerrequired

appId

Example:3585234
shopIdinteger

shopId

Example:35465234
cipherInfosArray of objects(CipherText)required

The ciphertext that needs to be decrypted

POST
/base/batchDecrypt
curl -i -X POST \
  https://open.mykeeta.com/api/open/base/batchDecrypt \
  -H 'Content-Type: application/json' \
  -d '{
    "appId": 3585234,
    "shopId": 35465234,
    "cipherInfos": [
      {
        "cipherText": "ENC_NzURv/tedeRcBhtxidwjwcxOoljZsmaOB72uNv3RDL4="
      }
    ]
  }'

Responses

The decryption result corresponding to the ciphertext.

Bodyapplication/json
codeintegerrequired

A numeric status identifier indicating the result of the interface call, used to determine whether the operation executed successfully.

Enum ValueDescription
0

The request was executed successfully.

Non-zero value

The request execution failed. Specific error details can be viewed in the message field.

Example:0
messagestringrequired

Text description corresponding to the status code, explaining the operation result or error cause to users.

Example:"Success"
dataobject(DecryptResponse)
Response
{ "code": 0, "message": "Success", "data": { "plainInfos": [] } }